<?php
/**
 * WP Courseware Countries
 *
 * Returns an array of countries and codes.
 *
 * @package WPCW
 * @subpackage Common
 * @since 4.3.0
 */

// Exit if accessed directly
defined( 'ABSPATH' ) || die;

return array(
	'AF' => __( 'Afghanistan', 'wp-courseware' ),
	'AX' => __( '&#197;land Islands', 'wp-courseware' ),
	'AL' => __( 'Albania', 'wp-courseware' ),
	'DZ' => __( 'Algeria', 'wp-courseware' ),
	'AS' => __( 'American Samoa', 'wp-courseware' ),
	'AD' => __( 'Andorra', 'wp-courseware' ),
	'AO' => __( 'Angola', 'wp-courseware' ),
	'AI' => __( 'Anguilla', 'wp-courseware' ),
	'AQ' => __( 'Antarctica', 'wp-courseware' ),
	'AG' => __( 'Antigua and Barbuda', 'wp-courseware' ),
	'AR' => __( 'Argentina', 'wp-courseware' ),
	'AM' => __( 'Armenia', 'wp-courseware' ),
	'AW' => __( 'Aruba', 'wp-courseware' ),
	'AU' => __( 'Australia', 'wp-courseware' ),
	'AT' => __( 'Austria', 'wp-courseware' ),
	'AZ' => __( 'Azerbaijan', 'wp-courseware' ),
	'BS' => __( 'Bahamas', 'wp-courseware' ),
	'BH' => __( 'Bahrain', 'wp-courseware' ),
	'BD' => __( 'Bangladesh', 'wp-courseware' ),
	'BB' => __( 'Barbados', 'wp-courseware' ),
	'BY' => __( 'Belarus', 'wp-courseware' ),
	'BE' => __( 'Belgium', 'wp-courseware' ),
	'PW' => __( 'Belau', 'wp-courseware' ),
	'BZ' => __( 'Belize', 'wp-courseware' ),
	'BJ' => __( 'Benin', 'wp-courseware' ),
	'BM' => __( 'Bermuda', 'wp-courseware' ),
	'BT' => __( 'Bhutan', 'wp-courseware' ),
	'BO' => __( 'Bolivia', 'wp-courseware' ),
	'BQ' => __( 'Bonaire, Saint Eustatius and Saba', 'wp-courseware' ),
	'BA' => __( 'Bosnia and Herzegovina', 'wp-courseware' ),
	'BW' => __( 'Botswana', 'wp-courseware' ),
	'BV' => __( 'Bouvet Island', 'wp-courseware' ),
	'BR' => __( 'Brazil', 'wp-courseware' ),
	'IO' => __( 'British Indian Ocean Territory', 'wp-courseware' ),
	'VG' => __( 'British Virgin Islands', 'wp-courseware' ),
	'BN' => __( 'Brunei', 'wp-courseware' ),
	'BG' => __( 'Bulgaria', 'wp-courseware' ),
	'BF' => __( 'Burkina Faso', 'wp-courseware' ),
	'BI' => __( 'Burundi', 'wp-courseware' ),
	'KH' => __( 'Cambodia', 'wp-courseware' ),
	'CM' => __( 'Cameroon', 'wp-courseware' ),
	'CA' => __( 'Canada', 'wp-courseware' ),
	'CV' => __( 'Cape Verde', 'wp-courseware' ),
	'KY' => __( 'Cayman Islands', 'wp-courseware' ),
	'CF' => __( 'Central African Republic', 'wp-courseware' ),
	'TD' => __( 'Chad', 'wp-courseware' ),
	'CL' => __( 'Chile', 'wp-courseware' ),
	'CN' => __( 'China', 'wp-courseware' ),
	'CX' => __( 'Christmas Island', 'wp-courseware' ),
	'CC' => __( 'Cocos (Keeling) Islands', 'wp-courseware' ),
	'CO' => __( 'Colombia', 'wp-courseware' ),
	'KM' => __( 'Comoros', 'wp-courseware' ),
	'CG' => __( 'Congo (Brazzaville)', 'wp-courseware' ),
	'CD' => __( 'Congo (Kinshasa)', 'wp-courseware' ),
	'CK' => __( 'Cook Islands', 'wp-courseware' ),
	'CR' => __( 'Costa Rica', 'wp-courseware' ),
	'HR' => __( 'Croatia', 'wp-courseware' ),
	'CU' => __( 'Cuba', 'wp-courseware' ),
	'CW' => __( 'Cura&ccedil;ao', 'wp-courseware' ),
	'CY' => __( 'Cyprus', 'wp-courseware' ),
	'CZ' => __( 'Czech Republic', 'wp-courseware' ),
	'DK' => __( 'Denmark', 'wp-courseware' ),
	'DJ' => __( 'Djibouti', 'wp-courseware' ),
	'DM' => __( 'Dominica', 'wp-courseware' ),
	'DO' => __( 'Dominican Republic', 'wp-courseware' ),
	'EC' => __( 'Ecuador', 'wp-courseware' ),
	'EG' => __( 'Egypt', 'wp-courseware' ),
	'SV' => __( 'El Salvador', 'wp-courseware' ),
	'GQ' => __( 'Equatorial Guinea', 'wp-courseware' ),
	'ER' => __( 'Eritrea', 'wp-courseware' ),
	'EE' => __( 'Estonia', 'wp-courseware' ),
	'ET' => __( 'Ethiopia', 'wp-courseware' ),
	'FK' => __( 'Falkland Islands', 'wp-courseware' ),
	'FO' => __( 'Faroe Islands', 'wp-courseware' ),
	'FJ' => __( 'Fiji', 'wp-courseware' ),
	'FI' => __( 'Finland', 'wp-courseware' ),
	'FR' => __( 'France', 'wp-courseware' ),
	'GF' => __( 'French Guiana', 'wp-courseware' ),
	'PF' => __( 'French Polynesia', 'wp-courseware' ),
	'TF' => __( 'French Southern Territories', 'wp-courseware' ),
	'GA' => __( 'Gabon', 'wp-courseware' ),
	'GM' => __( 'Gambia', 'wp-courseware' ),
	'GE' => __( 'Georgia', 'wp-courseware' ),
	'DE' => __( 'Germany', 'wp-courseware' ),
	'GH' => __( 'Ghana', 'wp-courseware' ),
	'GI' => __( 'Gibraltar', 'wp-courseware' ),
	'GR' => __( 'Greece', 'wp-courseware' ),
	'GL' => __( 'Greenland', 'wp-courseware' ),
	'GD' => __( 'Grenada', 'wp-courseware' ),
	'GP' => __( 'Guadeloupe', 'wp-courseware' ),
	'GU' => __( 'Guam', 'wp-courseware' ),
	'GT' => __( 'Guatemala', 'wp-courseware' ),
	'GG' => __( 'Guernsey', 'wp-courseware' ),
	'GN' => __( 'Guinea', 'wp-courseware' ),
	'GW' => __( 'Guinea-Bissau', 'wp-courseware' ),
	'GY' => __( 'Guyana', 'wp-courseware' ),
	'HT' => __( 'Haiti', 'wp-courseware' ),
	'HM' => __( 'Heard Island and McDonald Islands', 'wp-courseware' ),
	'HN' => __( 'Honduras', 'wp-courseware' ),
	'HK' => __( 'Hong Kong', 'wp-courseware' ),
	'HU' => __( 'Hungary', 'wp-courseware' ),
	'IS' => __( 'Iceland', 'wp-courseware' ),
	'IN' => __( 'India', 'wp-courseware' ),
	'ID' => __( 'Indonesia', 'wp-courseware' ),
	'IR' => __( 'Iran', 'wp-courseware' ),
	'IQ' => __( 'Iraq', 'wp-courseware' ),
	'IE' => __( 'Ireland', 'wp-courseware' ),
	'IM' => __( 'Isle of Man', 'wp-courseware' ),
	'IL' => __( 'Israel', 'wp-courseware' ),
	'IT' => __( 'Italy', 'wp-courseware' ),
	'CI' => __( 'Ivory Coast', 'wp-courseware' ),
	'JM' => __( 'Jamaica', 'wp-courseware' ),
	'JP' => __( 'Japan', 'wp-courseware' ),
	'JE' => __( 'Jersey', 'wp-courseware' ),
	'JO' => __( 'Jordan', 'wp-courseware' ),
	'KZ' => __( 'Kazakhstan', 'wp-courseware' ),
	'KE' => __( 'Kenya', 'wp-courseware' ),
	'KI' => __( 'Kiribati', 'wp-courseware' ),
	'KW' => __( 'Kuwait', 'wp-courseware' ),
	'KG' => __( 'Kyrgyzstan', 'wp-courseware' ),
	'LA' => __( 'Laos', 'wp-courseware' ),
	'LV' => __( 'Latvia', 'wp-courseware' ),
	'LB' => __( 'Lebanon', 'wp-courseware' ),
	'LS' => __( 'Lesotho', 'wp-courseware' ),
	'LR' => __( 'Liberia', 'wp-courseware' ),
	'LY' => __( 'Libya', 'wp-courseware' ),
	'LI' => __( 'Liechtenstein', 'wp-courseware' ),
	'LT' => __( 'Lithuania', 'wp-courseware' ),
	'LU' => __( 'Luxembourg', 'wp-courseware' ),
	'MO' => __( 'Macao S.A.R., China', 'wp-courseware' ),
	'MK' => __( 'Macedonia', 'wp-courseware' ),
	'MG' => __( 'Madagascar', 'wp-courseware' ),
	'MW' => __( 'Malawi', 'wp-courseware' ),
	'MY' => __( 'Malaysia', 'wp-courseware' ),
	'MV' => __( 'Maldives', 'wp-courseware' ),
	'ML' => __( 'Mali', 'wp-courseware' ),
	'MT' => __( 'Malta', 'wp-courseware' ),
	'MH' => __( 'Marshall Islands', 'wp-courseware' ),
	'MQ' => __( 'Martinique', 'wp-courseware' ),
	'MR' => __( 'Mauritania', 'wp-courseware' ),
	'MU' => __( 'Mauritius', 'wp-courseware' ),
	'YT' => __( 'Mayotte', 'wp-courseware' ),
	'MX' => __( 'Mexico', 'wp-courseware' ),
	'FM' => __( 'Micronesia', 'wp-courseware' ),
	'MD' => __( 'Moldova', 'wp-courseware' ),
	'MC' => __( 'Monaco', 'wp-courseware' ),
	'MN' => __( 'Mongolia', 'wp-courseware' ),
	'ME' => __( 'Montenegro', 'wp-courseware' ),
	'MS' => __( 'Montserrat', 'wp-courseware' ),
	'MA' => __( 'Morocco', 'wp-courseware' ),
	'MZ' => __( 'Mozambique', 'wp-courseware' ),
	'MM' => __( 'Myanmar', 'wp-courseware' ),
	'NA' => __( 'Namibia', 'wp-courseware' ),
	'NR' => __( 'Nauru', 'wp-courseware' ),
	'NP' => __( 'Nepal', 'wp-courseware' ),
	'NL' => __( 'Netherlands', 'wp-courseware' ),
	'NC' => __( 'New Caledonia', 'wp-courseware' ),
	'NZ' => __( 'New Zealand', 'wp-courseware' ),
	'NI' => __( 'Nicaragua', 'wp-courseware' ),
	'NE' => __( 'Niger', 'wp-courseware' ),
	'NG' => __( 'Nigeria', 'wp-courseware' ),
	'NU' => __( 'Niue', 'wp-courseware' ),
	'NF' => __( 'Norfolk Island', 'wp-courseware' ),
	'MP' => __( 'Northern Mariana Islands', 'wp-courseware' ),
	'KP' => __( 'North Korea', 'wp-courseware' ),
	'NO' => __( 'Norway', 'wp-courseware' ),
	'OM' => __( 'Oman', 'wp-courseware' ),
	'PK' => __( 'Pakistan', 'wp-courseware' ),
	'PS' => __( 'Palestinian Territory', 'wp-courseware' ),
	'PA' => __( 'Panama', 'wp-courseware' ),
	'PG' => __( 'Papua New Guinea', 'wp-courseware' ),
	'PY' => __( 'Paraguay', 'wp-courseware' ),
	'PE' => __( 'Peru', 'wp-courseware' ),
	'PH' => __( 'Philippines', 'wp-courseware' ),
	'PN' => __( 'Pitcairn', 'wp-courseware' ),
	'PL' => __( 'Poland', 'wp-courseware' ),
	'PT' => __( 'Portugal', 'wp-courseware' ),
	'PR' => __( 'Puerto Rico', 'wp-courseware' ),
	'QA' => __( 'Qatar', 'wp-courseware' ),
	'RE' => __( 'Reunion', 'wp-courseware' ),
	'RO' => __( 'Romania', 'wp-courseware' ),
	'RU' => __( 'Russia', 'wp-courseware' ),
	'RW' => __( 'Rwanda', 'wp-courseware' ),
	'BL' => __( 'Saint Barth&eacute;lemy', 'wp-courseware' ),
	'SH' => __( 'Saint Helena', 'wp-courseware' ),
	'KN' => __( 'Saint Kitts and Nevis', 'wp-courseware' ),
	'LC' => __( 'Saint Lucia', 'wp-courseware' ),
	'MF' => __( 'Saint Martin (French part)', 'wp-courseware' ),
	'SX' => __( 'Saint Martin (Dutch part)', 'wp-courseware' ),
	'PM' => __( 'Saint Pierre and Miquelon', 'wp-courseware' ),
	'VC' => __( 'Saint Vincent and the Grenadines', 'wp-courseware' ),
	'SM' => __( 'San Marino', 'wp-courseware' ),
	'ST' => __( 'S&atilde;o Tom&eacute; and Pr&iacute;ncipe', 'wp-courseware' ),
	'SA' => __( 'Saudi Arabia', 'wp-courseware' ),
	'SN' => __( 'Senegal', 'wp-courseware' ),
	'RS' => __( 'Serbia', 'wp-courseware' ),
	'SC' => __( 'Seychelles', 'wp-courseware' ),
	'SL' => __( 'Sierra Leone', 'wp-courseware' ),
	'SG' => __( 'Singapore', 'wp-courseware' ),
	'SK' => __( 'Slovakia', 'wp-courseware' ),
	'SI' => __( 'Slovenia', 'wp-courseware' ),
	'SB' => __( 'Solomon Islands', 'wp-courseware' ),
	'SO' => __( 'Somalia', 'wp-courseware' ),
	'ZA' => __( 'South Africa', 'wp-courseware' ),
	'GS' => __( 'South Georgia/Sandwich Islands', 'wp-courseware' ),
	'KR' => __( 'South Korea', 'wp-courseware' ),
	'SS' => __( 'South Sudan', 'wp-courseware' ),
	'ES' => __( 'Spain', 'wp-courseware' ),
	'LK' => __( 'Sri Lanka', 'wp-courseware' ),
	'SD' => __( 'Sudan', 'wp-courseware' ),
	'SR' => __( 'Suriname', 'wp-courseware' ),
	'SJ' => __( 'Svalbard and Jan Mayen', 'wp-courseware' ),
	'SZ' => __( 'Swaziland', 'wp-courseware' ),
	'SE' => __( 'Sweden', 'wp-courseware' ),
	'CH' => __( 'Switzerland', 'wp-courseware' ),
	'SY' => __( 'Syria', 'wp-courseware' ),
	'TW' => __( 'Taiwan', 'wp-courseware' ),
	'TJ' => __( 'Tajikistan', 'wp-courseware' ),
	'TZ' => __( 'Tanzania', 'wp-courseware' ),
	'TH' => __( 'Thailand', 'wp-courseware' ),
	'TL' => __( 'Timor-Leste', 'wp-courseware' ),
	'TG' => __( 'Togo', 'wp-courseware' ),
	'TK' => __( 'Tokelau', 'wp-courseware' ),
	'TO' => __( 'Tonga', 'wp-courseware' ),
	'TT' => __( 'Trinidad and Tobago', 'wp-courseware' ),
	'TN' => __( 'Tunisia', 'wp-courseware' ),
	'TR' => __( 'Turkey', 'wp-courseware' ),
	'TM' => __( 'Turkmenistan', 'wp-courseware' ),
	'TC' => __( 'Turks and Caicos Islands', 'wp-courseware' ),
	'TV' => __( 'Tuvalu', 'wp-courseware' ),
	'UG' => __( 'Uganda', 'wp-courseware' ),
	'UA' => __( 'Ukraine', 'wp-courseware' ),
	'AE' => __( 'United Arab Emirates', 'wp-courseware' ),
	'GB' => __( 'United Kingdom (UK)', 'wp-courseware' ),
	'US' => __( 'United States (US)', 'wp-courseware' ),
	'UM' => __( 'United States (US) Minor Outlying Islands', 'wp-courseware' ),
	'VI' => __( 'United States (US) Virgin Islands', 'wp-courseware' ),
	'UY' => __( 'Uruguay', 'wp-courseware' ),
	'UZ' => __( 'Uzbekistan', 'wp-courseware' ),
	'VU' => __( 'Vanuatu', 'wp-courseware' ),
	'VA' => __( 'Vatican', 'wp-courseware' ),
	'VE' => __( 'Venezuela', 'wp-courseware' ),
	'VN' => __( 'Vietnam', 'wp-courseware' ),
	'WF' => __( 'Wallis and Futuna', 'wp-courseware' ),
	'EH' => __( 'Western Sahara', 'wp-courseware' ),
	'WS' => __( 'Samoa', 'wp-courseware' ),
	'YE' => __( 'Yemen', 'wp-courseware' ),
	'ZM' => __( 'Zambia', 'wp-courseware' ),
	'ZW' => __( 'Zimbabwe', 'wp-courseware' ),
);
