<?php
/**
 * Philippines Provinces
 *
 * @package WPCW
 * @subpackage Common\States
 * @since 4.3.0
 */
global $wpcw_states;

// Exit if accessed directly
defined( 'ABSPATH' ) || die;

$wpcw_states['PH'] = array(
	'ABR' => __( 'Abra', 'wp-courseware' ),
	'AGN' => __( 'Agusan del Norte', 'wp-courseware' ),
	'AGS' => __( 'Agusan del Sur', 'wp-courseware' ),
	'AKL' => __( 'Aklan', 'wp-courseware' ),
	'ALB' => __( 'Albay', 'wp-courseware' ),
	'ANT' => __( 'Antique', 'wp-courseware' ),
	'APA' => __( 'Apayao', 'wp-courseware' ),
	'AUR' => __( 'Aurora', 'wp-courseware' ),
	'BAS' => __( 'Basilan', 'wp-courseware' ),
	'BAN' => __( 'Bataan', 'wp-courseware' ),
	'BTN' => __( 'Batanes', 'wp-courseware' ),
	'BTG' => __( 'Batangas', 'wp-courseware' ),
	'BEN' => __( 'Benguet', 'wp-courseware' ),
	'BIL' => __( 'Biliran', 'wp-courseware' ),
	'BOH' => __( 'Bohol', 'wp-courseware' ),
	'BUK' => __( 'Bukidnon', 'wp-courseware' ),
	'BUL' => __( 'Bulacan', 'wp-courseware' ),
	'CAG' => __( 'Cagayan', 'wp-courseware' ),
	'CAN' => __( 'Camarines Norte', 'wp-courseware' ),
	'CAS' => __( 'Camarines Sur', 'wp-courseware' ),
	'CAM' => __( 'Camiguin', 'wp-courseware' ),
	'CAP' => __( 'Capiz', 'wp-courseware' ),
	'CAT' => __( 'Catanduanes', 'wp-courseware' ),
	'CAV' => __( 'Cavite', 'wp-courseware' ),
	'CEB' => __( 'Cebu', 'wp-courseware' ),
	'COM' => __( 'Compostela Valley', 'wp-courseware' ),
	'NCO' => __( 'Cotabato', 'wp-courseware' ),
	'DAV' => __( 'Davao del Norte', 'wp-courseware' ),
	'DAS' => __( 'Davao del Sur', 'wp-courseware' ),
	'DAC' => __( 'Davao Occidental', 'wp-courseware' ), // TODO: Needs to be updated when ISO code is assigned
	'DAO' => __( 'Davao Oriental', 'wp-courseware' ),
	'DIN' => __( 'Dinagat Islands', 'wp-courseware' ),
	'EAS' => __( 'Eastern Samar', 'wp-courseware' ),
	'GUI' => __( 'Guimaras', 'wp-courseware' ),
	'IFU' => __( 'Ifugao', 'wp-courseware' ),
	'ILN' => __( 'Ilocos Norte', 'wp-courseware' ),
	'ILS' => __( 'Ilocos Sur', 'wp-courseware' ),
	'ILI' => __( 'Iloilo', 'wp-courseware' ),
	'ISA' => __( 'Isabela', 'wp-courseware' ),
	'KAL' => __( 'Kalinga', 'wp-courseware' ),
	'LUN' => __( 'La Union', 'wp-courseware' ),
	'LAG' => __( 'Laguna', 'wp-courseware' ),
	'LAN' => __( 'Lanao del Norte', 'wp-courseware' ),
	'LAS' => __( 'Lanao del Sur', 'wp-courseware' ),
	'LEY' => __( 'Leyte', 'wp-courseware' ),
	'MAG' => __( 'Maguindanao', 'wp-courseware' ),
	'MAD' => __( 'Marinduque', 'wp-courseware' ),
	'MAS' => __( 'Masbate', 'wp-courseware' ),
	'MSC' => __( 'Misamis Occidental', 'wp-courseware' ),
	'MSR' => __( 'Misamis Oriental', 'wp-courseware' ),
	'MOU' => __( 'Mountain Province', 'wp-courseware' ),
	'NEC' => __( 'Negros Occidental', 'wp-courseware' ),
	'NER' => __( 'Negros Oriental', 'wp-courseware' ),
	'NSA' => __( 'Northern Samar', 'wp-courseware' ),
	'NUE' => __( 'Nueva Ecija', 'wp-courseware' ),
	'NUV' => __( 'Nueva Vizcaya', 'wp-courseware' ),
	'MDC' => __( 'Occidental Mindoro', 'wp-courseware' ),
	'MDR' => __( 'Oriental Mindoro', 'wp-courseware' ),
	'PLW' => __( 'Palawan', 'wp-courseware' ),
	'PAM' => __( 'Pampanga', 'wp-courseware' ),
	'PAN' => __( 'Pangasinan', 'wp-courseware' ),
	'QUE' => __( 'Quezon', 'wp-courseware' ),
	'QUI' => __( 'Quirino', 'wp-courseware' ),
	'RIZ' => __( 'Rizal', 'wp-courseware' ),
	'ROM' => __( 'Romblon', 'wp-courseware' ),
	'WSA' => __( 'Samar', 'wp-courseware' ),
	'SAR' => __( 'Sarangani', 'wp-courseware' ),
	'SIQ' => __( 'Siquijor', 'wp-courseware' ),
	'SOR' => __( 'Sorsogon', 'wp-courseware' ),
	'SCO' => __( 'South Cotabato', 'wp-courseware' ),
	'SLE' => __( 'Southern Leyte', 'wp-courseware' ),
	'SUK' => __( 'Sultan Kudarat', 'wp-courseware' ),
	'SLU' => __( 'Sulu', 'wp-courseware' ),
	'SUN' => __( 'Surigao del Norte', 'wp-courseware' ),
	'SUR' => __( 'Surigao del Sur', 'wp-courseware' ),
	'TAR' => __( 'Tarlac', 'wp-courseware' ),
	'TAW' => __( 'Tawi-Tawi', 'wp-courseware' ),
	'ZMB' => __( 'Zambales', 'wp-courseware' ),
	'ZAN' => __( 'Zamboanga del Norte', 'wp-courseware' ),
	'ZAS' => __( 'Zamboanga del Sur', 'wp-courseware' ),
	'ZSI' => __( 'Zamboanga Sibugay', 'wp-courseware' ),
	'00'  => __( 'Metro Manila', 'wp-courseware' ),
);
